Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.deploy.api.tools
Class ModuleInfo

    java.lang.Object
      weblogic.deploy.api.tools.ModuleInfo

    public class ModuleInfo

extends Object

Describes an application structure.

Method Summary
`String[]` | `getBeans()` If this module represents an EJB jar, this returns the individual bean names.
`String[]` | `getContextRoots()` If this module represents a web module in an ear, then this returns the associated context roots from the ear descriptor.
`String` | `getName()` The name of the module
`ModuleInfo[]` | `getSubModules()` List of embedded modules.
`ModuleType` | `getType()` The module type of this module.
`String[]` | `getWebServices()` List of web service names.
`boolean` | `isArchived()` Whether this module is in archived form
`boolean` | `isWebService()` Indicates whether this module has J2EE 1.4 based web services

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  The name of the module

### getSubModules

    public ModuleInfo[] getSubModules()

  List of embedded modules. For an EAR this would be the embedded webapp modules, EJB modules, etc.

  Returns:

### getType

    public ModuleType getType()

  The module type of this module.

  Returns:

### isArchived

    public boolean isArchived()

  Whether this module is in archived form

  Returns:

### isWebService

    public boolean isWebService()

  Indicates whether this module has J2EE 1.4 based web services

  Returns:

### getWebServices

    public String[] getWebServices()

  List of web service names. Returns null if this module does not have web services.

  Returns:

### getContextRoots

    public String[] getContextRoots()

  If this module represents a web module in an ear, then this returns the associated context roots from the ear descriptor.

  Returns:
    web module context roots. Returns null if not a web module.

### getBeans

    public String[] getBeans()

  If this module represents an EJB jar, this returns the individual bean names.

  Returns:
    bean names. If not an EJB module then null is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD